FreeTDS API

Loading...
Searching...
No Matches
Public Attributes | List of all members
tds_dblib_dbprocess Struct Reference
Collaboration diagram for tds_dblib_dbprocess:
[legend]

## Public Attributes
unsigned char | avail_flag
TDSBCPINFO * | bcpinfo
DB_DBCHKINTR_FUNC | chkintr
int | command_state
unsigned char * | dbbuf
int | dbbufsz
char | dbcurdb [DBMAXNAME+1]
DBSTRING * | dboptcmd
DBOPTION * | dbopts
int | dbresults_retcode
DB_RESULT_STATE | dbresults_state
DBUSMALLINT | envchange_rcv
FILE * | ftos
DB_DBHNDLINTR_FUNC | hndlintr
BCP_HOSTFILEINFO * | hostfileinfo
int | more_results
int | msdblib
| boolean use ms behaviour
int | noautofree
int | ntimeouts
NULLREP | nullreps [MAXBINDTYPES]
| default null values
DBPROC_ROWBUF | row_buf
STATUS | row_type
DBREMOTE_PROC * | rpc
char | servcharset [DBMAXNAME+1]
TDSSOCKET * | tds_socket
TDS_INT | text_sent
TDS_INT | text_size
DBTYPEINFO | typeinfo
BYTE * | user_data

The documentation for this struct was generated from the following file:

- include/dblib.h